---
schema-version: '1.1'
name: OpenSearch Dashboards
version: 2.19.4
platform: linux
architecture: x64
distribution: rpm
id: '8708'
rc: '4'
test-run:
  Command: ./test.sh integ-test manifests/2.19.4/opensearch-dashboards-2.19.4-test.yml
    --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/rpm
    opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/rpm
  TestType: integ-test
  TestManifest: manifests/2.19.4/opensearch-dashboards-2.19.4-test.yml
  DistributionManifest: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/dist/opensearch-dashboards/manifest.yml
  TestID: '8103'
components:
  - name: indexManagementDashboards
    command: ./test.sh integ-test manifests/2.19.4/opensearch-dashboards-2.19.4-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/rpm
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/rpm
      --component indexManagementDashboards
    repository: https://github.com/opensearch-project/index-management-dashboards-plugin.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/indexManagementDashboards/with-security/indexManagementDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/indexManagementDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/indexManagementDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/indexManagementDashboards/without-security/indexManagementDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/indexManagementDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/indexManagementDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - No Failed Test
  - name: securityAnalyticsDashboards
    command: ./test.sh integ-test manifests/2.19.4/opensearch-dashboards-2.19.4-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/rpm
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/rpm
      --component securityAnalyticsDashboards
    repository: https://github.com/opensearch-project/security-analytics-dashboards-plugin.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/securityAnalyticsDashboards/with-security/securityAnalyticsDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/securityAnalyticsDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/securityAnalyticsDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/securityAnalyticsDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/securityAnalyticsDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/securityAnalyticsDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/securityAnalyticsDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/securityAnalyticsDashboards/without-security/securityAnalyticsDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/securityAnalyticsDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/securityAnalyticsDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/securityAnalyticsDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/securityAnalyticsDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/securityAnalyticsDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/securityAnalyticsDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - No Failed Test
  - name: flowFrameworkDashboards
    command: ./test.sh integ-test manifests/2.19.4/opensearch-dashboards-2.19.4-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.4/11515/linux/x64/rpm
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.4/8708/linux/x64/rpm
      --component flowFrameworkDashboards
    repository: https://github.com/opensearch-project/dashboards-flow-framework.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/flowFrameworkDashboards/with-security/flowFrameworkDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/flowFrameworkDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/flowFrameworkDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/flowFrameworkDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/flowFrameworkDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/flowFrameworkDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/flowFrameworkDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/flowFrameworkDashboards/without-security/flowFrameworkDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/flowFrameworkDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/flowFrameworkDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/flowFrameworkDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/flowFrameworkDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/flowFrameworkDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.4/8708/linux/x64/rpm/test-results/8103/integ-test/flowFrameworkDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - No Failed Test
